[Unstable Update] 2017-01-07 - Python, Mesa

unstable
update

#1

Hi community,

Mesa just got a minor upgrade to 13.0.3 and updated the python packages to 3.6. This involves a pretty big list of updated python libraries.

Please report any problems.

  • Subpixel rendering effectively triples the horizontal (or vertical) resolution for fonts by making use of subpixels. The default autohinter and subpixel rendering are not designed to work together, hence you will want to enable the subpixel autohinter. Prior to freetype2 2.7, the subpixel hinting mode was configurable with the FT2_SUBPIXEL_HINTING environment variable. Possible values were 0 (disabled), 1 (Infinality) and 2 (minimal). From freetype2 2.7, subpixel hinting uses upstream’s configuration method, which has a different syntax. Subpixel hinting mode configured in the file /etc/profile.d/freetype2.sh which includes a brief documentation. Possible values are truetype:interpreter-version=35 (classic mode/2.6 default), truetype:interpreter-version=38 (“Infinality” mode), truetype:interpreter-version=40 (minimal mode/2.7 default).

kind regards,
The Manjaro Development Team



Did you experience any issue with this update?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Anyone getting problems with harfbuzz update?
Unable to update to qt5.9
#2

@Kirek See: https://bugs.archlinux.org/task/52418


#3

Thanks, will be fixed soon.


#5

Just updated my Cinnamon install and the patched cinnamon package is working fine under python3.6 as expected ( /hoped :wink: ):thumbsup:


#6

@FadeMind
Plasma5 starts just fine in my two systems…


#7

@Kirek @oberon see https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/kinit

makedepends=('extra-cmake-modules' 'kdoctools' 'python')

#8

Have you tried if rebuilding solves your issue? We can do an overlay in any case. Apart from then something else might be different between Arch and Manjaro maybe? Are you on a native Arch install?


#9

I am on Manjaro fresh install based on KDE. I will rebuild kinit package soon.


#10

I have exactly the same problem than FadeMind: unable start kdeinit5
I had to revert my system to earlier state.


#11

I’m rebuilding it in any case. …cannot hurt! :wink:


#12

Will push the rebuild to unstable as soon as it’s ready.


#13

I cannot build package kinit against harfbuzz issue:

/usr/lib/libharfbuzz.so.0: undefined reference to `FT_Get_Var_Blend_Coordinates'

So, I will downgrade to stable and waiting for news.


#14

I’ve just built it with no issue and pushed to unstable. Please try kinit-5.29.0-1.1


#15

New versions of pithos and skype (from AUR) rebuilt fine with python 3.6.


#16

Is your harfbuzz really at 1.4.1?


#17

Oh, BS, I completely didn’t realize that it’s no use to build it on your downgraded install! :wink: :rolling_eyes:


#18

IMO whole KDE KF5 libs category should be rebuilt against python update cause python is in makedepends.

Second try failed (mhwd-chroot reverted changes).


#19

Which packages exactly? group kf5 has 67 :wink:
What surprises me though is that there is no bugreport at Arch while python has been upgraded more than 24 hours ago!


#20

I have to go now, sorry. @Kirek do you have any helpful ideas?


#21

I don’t have any problem with plasma with or without kinit-5.29.0-1.1